package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.ItemStatusEnum;
import cn.rankin.common.utils.enums.ItemTypeEnum;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

@Data
public class ItemDTO implements Serializable {

    private String id;

    private String courseId;

    private String code;

    private String name;

    private ItemTypeEnum type;

    private String merchantId;

    private Integer sort;

    private ItemStatusEnum status;

    private List<ItemPriceDTO> priceList;

    private Set<String> tagList;
}
