package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.PriceTypeEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class ItemPriceDTO implements Serializable {

    private String id;

    private String name;

    private String itemId;

    private PriceTypeEnum type;

    private Integer duration;

    private Double cpPrice;

    private Double merchantPrice;

    private Double terminalPrice;
}
