package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.TagTypeEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class TagDTO implements Serializable {

    private String id;

    private String code;

    private String name;

    private TagTypeEnum type;

    private String merchantId;

    private Integer sort;

    private BaseStatusEnum status;
}
