package cn.rankin.common.utils.dto.search;

import cn.rankin.common.utils.enums.ItemStatusEnum;
import cn.rankin.common.utils.enums.ItemTypeEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class ItemSearchDTO implements Serializable {

    private String code;

    private String name;

    private ItemTypeEnum type;

    private ItemStatusEnum status;

    private String merchantId;

    private Integer pageNo = 1;

    private Integer pageSize = 10;

}
