package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
@Entity
@Table(name = "lj_support_self_relation")
@DynamicInsert
@DynamicUpdate
public class SupportSelfRelation implements Serializable {

    @Id
    private String id;

    @Column
    private String fid;

    @Column
    private String tid;

    @Column(name = "gmt_created", insertable = false, updatable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;
}
