package cn.rankin.productservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.CourseSubRelation;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CourseSubRelationRepository extends BasicJpaRepository<CourseSubRelation, String> {

    Long deleteByCourseId(String courseId);

    @Query(value = "select r from CourseSubRelation r where r.courseId = :courseId order by r.sort")
    List<CourseSubRelation> findByCourseId(@Param("courseId") String courseId);
}
