package cn.rankin.productservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.Ware;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WareRepository extends BasicJpaRepository<Ware, String> {

    Long countByCode(String code);

    Long countByIdIn(List<String> Ids);

}
