package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import lombok.Data;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.io.Serializable;
import java.util.*;

@Data
public class CourseDTO implements Serializable {

    private String id;

    private String code;

    private String name;

    private String title;

    private String digest;

    private String detail;

    private String keyword;

    private String cvImgIds;

    private String bgImgIds;

    @Enumerated(EnumType.ORDINAL)
    private BaseStatusEnum status;

    // 有序
    private List<SubRelationDTO> subList;

    private List<SupportDTO> supportList;

}

