package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.WareTypeEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class WareDTO implements Serializable {

    private String id;

    private String code;

    private String name;

    private String digest;

    private WareTypeEnum type;

    private String playUrl;

    private String imgIds;

    private String cpId;

    private Integer sort;

    private BaseStatusEnum status;
}
