package cn.rankin.productservice.repository;

import cn.rankin.common.utils.jpa.BasicJpaRepository;
import cn.rankin.productservice.entity.SupportSelfRelation;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface SupportSelfRelationRepository extends BasicJpaRepository<SupportSelfRelation, String> {

   Long deleteAllByFid(String fid);

   @Query(value = "select distinct s.tid from SupportSelfRelation s where s.fid = :fid")
   List<String> findRefByFid(@Param("fid") String fid);
}
